/* File:  DebugLabels.cpp

The contents of this file are subject to the Mozilla Public
License Version 1.1 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of
the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS
IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
implied. See the License for the specific language governing
rights and limitations under the License.

The Original Code is the WCTP Toolkit

The Initial Developer of the Original Code is ITQ LATA, LLC.
Portions created by ITQ LATA, LLC. are Copyright (C) 2001
ITQ LATA, LLC.  All Rights Reserved.

Contributor(s):
  ITQ LATA, LLC. <wctpxml@itqlata.com>  

*/

// Begin DynaDebug Automation Region
#ifdef DYNADEBUG
#include "DebugLabels.hpp"

char *DebugLabels[] =
{
  "INET_CONN_DEBUG",
  "INET_CONN_POLL_DEBUG",
  "WCTP_XML_CLIENT_DEBUG",
  NULL
};

bool DebugCache[NUMBER_DEBUG_LABELS];

int DynaDebug::num_labels = NUMBER_DEBUG_LABELS;
char **DynaDebug::labels = DebugLabels;
bool *DynaDebug::cache = DebugCache;
int DynaDebug::indent_size = 4;
char *DynaDebug::environment_flagname = "DYNADEBUG";
char *DynaDebug::config_filename = "debug.cfg";
char *DynaDebug::output_filename = "debug.out";

#endif
// End DynaDebug Automation Region
