/* File:  strings.h

The contents of this file are subject to the Mozilla Public
License Version 1.1 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of
the License at http://www.skytel.com/downloads/wctpxml/worldcom_mpl_1.1.txt.

Software distributed under the License is distributed on an "AS
IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
implied. See the License for the specific language governing
rights and limitations under the License.

The Original Code is the WCTP Toolkit

The Initial Developer of the Original Code is WorldCom, Inc.
Portions created by WorldCom, Inc. are Copyright  2001
WorldCom, Inc.  All Rights Reserved.

Contributor(s):
  WorldCom, Inc. <skytel-strategic-apps@wcom.com>  

*/

//
// Strings used everywhere in parsing/building
//

#define  WCTP_PREFIX "wctp"

#define  ALPHANUMERIC_STRING           "Alphanumeric"
#define  CHOICE_STRING                 "Choice"
#define  CLIENT_MESSAGE_CONTROL_STRING "ClientMessageControl"
#define  CLIENT_MESSAGE_STRING         "ClientMessage"
#define  CLIENT_QUERY_STRING           "ClientQuery"
#define  CLIENT_QUERY_RESPONSE_STRING  "ClientQueryResponse"
#define  CONFIRMATION_STRING           "Confirmation"
#define  FAILURE_STRING                "Failure"
#define  LOOKUP_RESPONSE_STRING        "LookupResponse"
#define  LOOKUP_SUBSCRIBER_STRING      "LookupSubscriber"
#define  MCR_STRING                    "MCR"
#define  MESSAGE_RECEIVED_STRING       "MessageReceived"
#define  MESSAGE_REPLY_STRING          "MessageReply"
#define  MESSAGE_STRING                "Message"
#define  MESSAGE_TEXT_STRING           "MessageText"
#define  NOMESSAGES_STRING             "NoMessages"
#define  OPERATION_STRING              "Operation"
#define  PAYLOAD_STRING                "Payload"
#define  POLL_FOR_MESSAGES_STRING      "PollForMessages"
#define  POLL_RESPONSE_STRING          "PollResponse"
#define  STATUS_INFO_STRING            "StatusInfo"
#define  SUBMIT_CLIENT_MESSAGE_STRING  "SubmitClientMessage"
#define  SUBMIT_CLIENT_RESPONSE_STRING "SubmitClientResponse"
#define  SUBMIT_REQUEST_STRING         "SubmitRequest"
#define  SUCCESS_STRING                "Success"
#define  TRANSPARENT_DATA_STRING       "TransparentData"
#define  UNKNOWN_STRING                "UNKNOWN"
#define  VERSION_QUERY_STRING          "VersionQuery"
#define  VERSION_RESPONSE_STRING       "VersionResponse"
